Page MenuHomePhabricator

EditTools issues on Special:Upload
Closed, ResolvedPublic

Description

:ro:MediaWiki:Edittools does not work on :ro:Special:Upload. Namely elements are not clickable.

See also: https://phabricator.wikimedia.org/T88922#1063030

Event Timeline

XXN created this task.Mar 15 2015, 10:31 PM
XXN raised the priority of this task from to Unbreak Now!.
XXN updated the task description. (Show Details)
XXN added projects: JavaScript, Contributors-Team.
XXN added a subscriber: XXN.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2015, 10:31 PM
XXN reopened this task as Open.Oct 29 2015, 6:35 PM
XXN updated the task description. (Show Details)
XXN set Security to None.

This task was closed as a duplicate of T88922. Now T88922 was closed as resolved but this bug still actual. This issue persists for several months, since winter-spring of 2015. It's time to fix it somehow!

matmarex added a subscriber: matmarex.

T88922 was one of the problems here, but T66969 is another and it's more difficult to fix.

I don't think this warrants "Unbreak Now!" priority, though. I recognize that this is an annoying issue, but there are far more broken things out there ;)

matmarex lowered the priority of this task from Unbreak Now! to Normal.Oct 30 2015, 12:13 AM
matmarex edited projects, added CharInsert; removed Contributors-Team.
matmarex closed this task as Resolved.Mar 3 2016, 7:42 PM
matmarex assigned this task to Bawolff.

This should be fixed by rECHIb2f7c4c507e5: Remove inline event handler js from charinsert (it's not live yet). Please reopen if this is still occuring after the 1.27.0-wmf.16 deployment next week (see https://www.mediawiki.org/wiki/MediaWiki_1.27/Roadmap for dates).

Change 288922 had a related patch set uploaded (by Brian Wolff):
[DO NOT MERGE] Remove inline event handler js from charinsert

https://gerrit.wikimedia.org/r/288922

Change 288922 merged by jenkins-bot:
Remove inline event handler js from charinsert

https://gerrit.wikimedia.org/r/288922

XXN reopened this task as Open.May 28 2016, 8:56 PM

Still does not work.

TheDJ closed this task as Resolved.May 28 2016, 9:02 PM
TheDJ added a subscriber: TheDJ.

@XXN Resolved does not mean deployed to all websites. This will start becoming available no earlier than tuesday 31st of may and if all goes according to plan, it will likely be available everywhere after thursday.

@XXN: See https://www.mediawiki.org/wiki/Bug_management/Bug_report_life_cycle for the meaning of "resolved" and https://wikitech.wikimedia.org/wiki/Deployments for info on deployments on Wikimedia sites. Thanks!